package com.loafle.overflow.meta.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.meta.model.MetaSensorStatus;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by snoop on 17. 6. 26.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class MetaSensorStatusDAOTest {

    @Autowired
    private MetaSensorStatusDAO dao;

    @Test
    public void Create() {

        MetaSensorStatus run = new MetaSensorStatus();
        run.setId((short)1);
        run.setName("RUNNING");

        MetaSensorStatus stop = new MetaSensorStatus();
        stop.setId((short)2);
        stop.setName("STOPPED");

        this.dao.save(run);
        this.dao.save(stop);

    }

}