package com.loafle.overflow.meta.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.meta.model.MetaSensorItem;
import com.loafle.overflow.meta.model.MetaSensorItemType;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Date;

/**
 * Created by snoop on 17. 6. 26.
 */
@Ignore
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class MetaSensorItemDAOTest {

    @Autowired
    private MetaSensorItemDAO dao;

    @Test
    public void Create() {
        MetaSensorItemType cpuType = new MetaSensorItemType();
        cpuType.setId((short)1);

        MetaSensorItemType memType = new MetaSensorItemType();
        memType.setId((short)2);

        MetaSensorItem item1 = new MetaSensorItem();
        item1.setMetaSensorItemType(cpuType);
        item1.setKey("cpu.usage");
        item1.setName("CPU USAGE");
        item1.setCreateDate(new Date());
        dao.save(item1);

        MetaSensorItem item2 = new MetaSensorItem();
        item2.setMetaSensorItemType(cpuType);
        item2.setKey("cpu.free");
        item2.setName("CPU FREE");
        item2.setCreateDate(new Date());
        dao.save(item2);

        MetaSensorItem item3 = new MetaSensorItem();
        item3.setMetaSensorItemType(memType);
        item3.setKey("mem.usage");
        item3.setName("MEMORY USAGE");
        item3.setCreateDate(new Date());
        dao.save(item3);

        MetaSensorItem item4 = new MetaSensorItem();
        item4.setMetaSensorItemType(memType);
        item4.setKey("mem.free");
        item4.setName("MEMORY FREE");
        item4.setCreateDate(new Date());
        dao.save(item4);


    }

}