package com.loafle.overflow.meta.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.meta.model.MetaSensorItemType;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Date;

/**
 * Created by snoop on 17. 6. 26.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class MetaSensorItemTypeDAOTest {

    @Autowired
    private MetaSensorItemTypeDAO dao;

    @Test
    public void Create() {
        MetaSensorItemType category1 = new MetaSensorItemType();
        category1.setId((short)1);
        category1.setCreateDate(new Date());
        category1.setName("CPU");
        category1.setDescription("CPU blah blah blah");
        dao.save(category1);

        MetaSensorItemType category2 = new MetaSensorItemType();
        category2.setId((short)2);
        category2.setCreateDate(new Date());
        category2.setName("MEMORY");
        category2.setDescription("MEMORY blah blah blah");
        dao.save(category2);

        MetaSensorItemType category3 = new MetaSensorItemType();
        category3.setId((short)3);
        category3.setCreateDate(new Date());
        category3.setName("DISK");
        category3.setDescription("DISK blah blah blah");
        dao.save(category3);
    }

}